<?php

define("TICKET_MODULE_DIR","./modules/ticket");
define("TICKET_MODULE_DIR_ADMIN","../modules/ticket");

$action = $_REQUEST['a'];
$isAdmin = stripos($_SERVER['SCRIPT_NAME'],"/admin/")===false?false:true;

if($isAdmin && $action == "functions"){
	
	include_once(TICKET_MODULE_DIR_ADMIN . '/ticket.functions.php');
}elseif($action == "functions"){
	include_once(TICKET_MODULE_DIR . '/ticket.functions.php');	
}
elseif($action == "view"){
	include_once(TICKET_MODULE_DIR_ADMIN . '/ticket.view.php');
}
elseif($action == "manage"){
	include_once(TICKET_MODULE_DIR_ADMIN . '/ticket.manage.php');
}elseif($action == "archive"){
	include_once(TICKET_MODULE_DIR_ADMIN . '/ticket.archive.php');
}

?>